Bug 1016703 - 4445 port (required by eap5) should not be used by rhq/jon by default
4445 port (required by eap5) should not be used by rhq/jon by default
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Installer (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity high
: ER05
: JON 3.2.0
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 10:45 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
eap5.1.2.log (20.16 KB, text/x-log)
2013-10-08 10:45 EDT, Armine Hovsepyan
no flags Details
netstat (148.27 KB, image/png)
2013-11-07 07:07 EST, Armine Hovsepyan
no flags Details
messaging-port (146.63 KB, image/png)
2013-11-07 07:08 EST, Armine Hovsepyan
no flags Details

  None (edit)
Description Armine Hovsepyan 2013-10-08 10:45:10 EDT
Created attachment 809332 [details]
eap5.1.2.log

Description of problem:
4455 port should not be used by rhq/jon by default - it's used by eap 5.1.2

Version-Release number of selected component (if applicable):
jon 3.2 er1

How reproducible:
always

Steps to Reproduce:
1. install/start jon/rhq
2. install/start jboss eap 5.1.2 
3.

Actual results:
eap required 4455 port which is used by jon

Expected results:
4455 port is not used by jon/rhq

Additional info:
eap log attached for exception
Comment 1 John Mazzitelli 2013-10-08 10:52:43 EDT
changing the title of this BZ - the port at issue is 4445 (not 4455) as per the EAP 5.1 log attached.
Comment 2 John Mazzitelli 2013-10-08 11:00:17 EDT
This is in RHQ's bin/rhq-server.properties file:

rhq.server.socket.binding.port.messaging=4445

This is in EAP 5.1's  server/default/conf/bindingservice.beans/META-INF/bindings-jboss-beans.xml file:

            <!-- Pooled invoker -->
            <bean class="org.jboss.services.binding.ServiceBindingMetadata">
               <property name="serviceName">jboss:service=invoker,type=pooled</property>
               <property name="port">4445</property>
               <property name="description">Socket for the legacy Pooled invoker</property>
            </bean>
Comment 3 Armine Hovsepyan 2013-10-08 11:33:51 EDT
all ports used by EAP5  -> http://pastebin.test.redhat.com/168883
Comment 4 John Mazzitelli 2013-10-08 11:35:38 EDT
(In reply to Armine from comment #3)
> all ports used by EAP5  -> http://pastebin.test.redhat.com/168883

in case that pastebin expires in the future, here's the content:

[hudson@jon312 ~]$  netstat -anp | grep LISTEN | grep "24083/java"
(Not all processes could be identified, non-owned process info
 will not be shown, you would have to be root to see it all.)
tcp        0      0 127.0.0.1:4712              0.0.0.0:*                   LISTEN      24083/java          
tcp        0      0 127.0.0.1:8009              0.0.0.0:*                   LISTEN      24083/java          
tcp        0      0 127.0.0.1:4713              0.0.0.0:*                   LISTEN      24083/java          
tcp        0      0 127.0.0.1:4457              0.0.0.0:*                   LISTEN      24083/java          
tcp        0      0 127.0.0.1:1098              0.0.0.0:*                   LISTEN      24083/java          
tcp        0      0 127.0.0.1:1099              0.0.0.0:*                   LISTEN      24083/java          
tcp        0      0 127.0.0.1:8080              0.0.0.0:*                   LISTEN      24083/java          
tcp        0      0 127.0.0.1:8083              0.0.0.0:*                   LISTEN      24083/java          
tcp        0      0 127.0.0.1:4444              0.0.0.0:*                   LISTEN      24083/java          
tcp        0      0 127.0.0.1:4446              0.0.0.0:*                   LISTEN      24083/java          
tcp        0      0 127.0.0.1:59649             0.0.0.0:*                   LISTEN      24083/java          
tcp        0      0 127.0.0.1:3873              0.0.0.0:*                   LISTEN      24083/java          
tcp        0      0 127.0.0.1:29251             0.0.0.0:*                   LISTEN      24083/java
Comment 5 John Mazzitelli 2013-10-08 11:46:27 EDT
as a workaround to this problem, edit rhq-server.properties and set that RHQ port to 4449:

    rhq.server.socket.binding.port.messaging=4449
Comment 6 John Mazzitelli 2013-10-08 11:51:01 EDT
git commit to master: d3d11da 

the default port, out of box, will now be 4449. EAP 5.1 and JBossAS 7.1.1.Final do not use that port.

Note that you should never run another EAP server on the same box as the RHQ Server in production, so this issue should never be a problem. However, for testing/demo purposes, it is nice to be able to start an EAP on the same machine and not have to alter configuration to get them to run concurrently. So this fix should help with that.
Comment 7 Simeon Pinder 2013-10-24 00:09:31 EDT
Moving to ON_QA for testing in the next build.
Comment 8 Armine Hovsepyan 2013-10-24 11:33:04 EDT
rhq.server.socket.binding.port.messaging=4445 in ER4, commit is in master only 

could you please merge this with jon3.2.x and move milestone to ER5 ?
Comment 9 John Mazzitelli 2013-10-24 11:36:33 EDT
git commit 91516a5 to release/jon3.2.x
Comment 10 Simeon Pinder 2013-11-06 21:17:20 EST
Moving to ON_QA for test with new brew build.
Comment 11 Armine Hovsepyan 2013-11-07 07:07:38 EST
Created attachment 821039 [details]
netstat
Comment 12 Armine Hovsepyan 2013-11-07 07:08:26 EST
Created attachment 821040 [details]
messaging-port
Comment 13 Armine Hovsepyan 2013-11-07 07:08:47 EST
verified in ER5
thank you

Note You need to log in before you can comment on or make changes to this bug.